#!/usr/bin/ksh

###############################################################
# Ps command for WebShere Application Server V5 AIX
#      "wsps"         
#
#
#
###############################################################
# WebSphere Install Directory
###############################################################
WAS_BASE_HOME=/usr/WebSphere/AppServer5
WAS_DMGR_HOME=/usr/WebSphere/DeploymentManager
######################################################################

WAS_BASE_CFG=$WAS_BASE_HOME/config 
WAS_DMGR_CFG=$WAS_DMGR_HOME/config 


# Print PS Header
#PSHEADER=`ps -aef | grep -e "PID" |grep -v grep`
PSHEADER="     UID   PID  PPID   C    STIME    TTY  TIME CMD"
print "$PSHEADER (SHORT NAME)"

PSSTR=`ps -aef | grep -e "$WAS_BASE_CFG" -e "$WAS_DMGR_CFG"` 

# BASE Processes
print "$PSSTR" |grep "$WAS_BASE_CFG" |grep -v grep |awk '{print substr($0, 1, 46), substr($0, index($0, WAS_BASE_CFG ) + length(WAS_BASE_CFG))}' WAS_BASE_CFG=$WAS_BASE_CFG

# Deployment Manger Process
print "$PSSTR" | grep "$WAS_DMGR_CFG" |grep -v grep |awk '{print substr($0, 1, 46), substr($0, index($0, WAS_DMGR_CFG ) + length(WAS_DMGR_CFG))}' WAS_DMGR_CFG=$WAS_DMGR_CFG
